> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Variants Diseases

> Retrieve diseases and genes associated with the query variant from ClinGen.

At least one of these fields is required: variant_id, spdi, hgvs, rsid, ca_id, or region.

Example: variant_id = NC_000012.12:102917129:T:C

spdi = NC_000012.12:102917129:T:C,

hgvs = NC_000012.12:g.102917130T>C,

rsid = rs62514891,

ca_id = CA114360,

chr = chr12,

region = chr12:102866500-102866700 (maximum length: 10kb),

assertion = Pathogenic,

pmid = 2574002.

The limit parameter controls the page size and can not exceed 100.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /variants/diseases
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /variants/diseases:
    get:
      summary: Variants Diseases
      description: >-
        Retrieve diseases and genes associated with the query variant from
        ClinGen.


        At least one of these fields is required: variant_id, spdi, hgvs, rsid,
        ca_id, or region.


        Example: variant_id = NC_000012.12:102917129:T:C


        spdi = NC_000012.12:102917129:T:C,


        hgvs = NC_000012.12:g.102917130T>C,


        rsid = rs62514891,


        ca_id = CA114360,


        chr = chr12,


        region = chr12:102866500-102866700 (maximum length: 10kb),


        assertion = Pathogenic,


        pmid = 2574002.


        The limit parameter controls the page size and can not exceed 100.


        Pagination is 0-based.
      operationId: diseaseFromVariants
      parameters:
        - name: spdi
          in: query
          required: false
          schema:
            type: string
        - name: hgvs
          in: query
          required: false
          schema:
            type: string
        - name: rsid
          in: query
          required: false
          schema:
            type: string
        - name: ca_id
          in: query
          required: false
          schema:
            type: string
        - name: variant_id
          in: query
          required: false
          schema:
            type: string
        - name: region
          in: query
          required: false
          schema:
            type: string
        - name: assertion
          in: query
          required: false
          schema:
            type: string
            enum:
              - Benign
              - Likely Benign
              - Likely Pathogenic
              - Pathogenic
              - Uncertain Significance
        - name: pmid
          in: query
          required: false
          schema:
            type: string
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Homo sapiens
            default: Homo sapiens
        - name: verbose
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    sequence_variant:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            chr:
                              type: string
                            pos:
                              type: number
                            ref:
                              type: string
                            alt:
                              type: string
                            rsid:
                              type: array
                              items:
                                type: string
                              nullable: true
                            spdi:
                              type: string
                            hgvs:
                              type: string
                            ca_id:
                              type: string
                              nullable: true
                          required:
                            - chr
                            - pos
                            - ref
                            - alt
                          additionalProperties: false
                    disease:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            uri:
                              type: string
                            term_id:
                              type: string
                            name:
                              type: string
                            synonyms:
                              type: array
                              items:
                                type: string
                              nullable: true
                            description:
                              type: string
                              nullable: true
                            source:
                              type: string
                            subontology:
                              type: string
                              nullable: true
                            source_url:
                              type: string
                              nullable: true
                          required:
                            - uri
                            - term_id
                            - name
                          additionalProperties: false
                    gene_id:
                      type: string
                    gene_name:
                      type: string
                    assertion:
                      type: string
                    pmids:
                      type: array
                      items:
                        type: string
                    source:
                      type: string
                    source_url:
                      type: string
                    name:
                      type: string
                  required:
                    - name
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````